namespace Minesweeper.Presentation.Factories
{
    public sealed class CellViewFactory : ICellViewFactory
    {
        public string BuildCellName(int x, int y, int value, bool isMine)
        {
            return $"bt_{x}_{y}_{(isMine ? "M" : value.ToString())}";
        }

        public string BuildCellName(int x, int y, string displayValue)
        {
            return $"bt_{x}_{y}_{displayValue}";
        }
    }
}
